Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030935
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformtrivialhave not tried2015-09-25 13:462016-06-17 19:37
ReportershuehnerView Statuspublic 
Assigned ToNaroaIriarte 
PrioritylowResolutionfixedFixed in Version3.0PR16Q3
StatusclosedFix in branchFixed in SCM revision1fd07e8b5372
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030935: Remove SetContextInfoActionHandler class as it was not finished and never use

DescriptionThis class:
org.openbravo.client.kernel.SetContextInfoActionHandler

from code looks like never finished as has:
- lots of System.out.println
- empty loop bodies

also searching in all files in pi for the name does not show any reference at all.

alostale + me think its fine to delete that class:
[12:38:53 PM] Asier Lostalé: looks like something started, never finished, forgotten and not removed

Note:
Formally that constitutes an api-change as it deletes a public class.

Probably very low risk as very unlikely that some external modules uses that class if in core it has this forgotten, never finished classification.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks feature request 0031477 newshuehner Tracking issue to reduce the huge number of eclipse warnings in pi 
blocks design defect 0032688 acknowledgedplatform remove unused resources 

-  Notes
(0086014)
hgbot (developer)
2016-04-27 09:24

Repository: erp/devel/pi
Changeset: 1fd07e8b5372d786c7b5b29c48a72a8c5ee8310d
Author: Naroa Iriarte <naroa.iriarte <at> openbravo.com>
Date: Wed Apr 27 09:19:33 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1fd07e8b5372d786c7b5b29c48a72a8c5ee8310d [^]

Fixed issue 30935: The SetContextInfoActionHandler class has been removed

The unused SetContextInfoActionHandler class has been removed.

---
R modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/SetContextInfoActionHandler.java
---
(0086078)
alostale (developer)
2016-04-29 13:57

reviewed
(0087494)
hudsonbot (developer)
2016-06-17 19:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-09-25 13:46 shuehner New Issue
2015-09-25 13:46 shuehner Assigned To => platform
2015-09-25 13:46 shuehner Modules => Core
2015-09-25 13:46 shuehner Triggers an Emergency Pack => No
2015-09-28 10:03 alostale Status new => acknowledged
2015-11-11 11:38 alostale Priority normal => low
2016-01-04 20:25 shuehner Relationship added blocks 0031477
2016-04-19 10:02 alostale Relationship added blocks 0032688
2016-04-19 15:24 NaroaIriarte Assigned To platform => NaroaIriarte
2016-04-27 09:24 hgbot Checkin
2016-04-27 09:24 hgbot Note Added: 0086014
2016-04-27 09:24 hgbot Status acknowledged => resolved
2016-04-27 09:24 hgbot Resolution open => fixed
2016-04-27 09:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1fd07e8b5372d786c7b5b29c48a72a8c5ee8310d [^]
2016-04-29 13:57 alostale Review Assigned To => alostale
2016-04-29 13:57 alostale Note Added: 0086078
2016-04-29 13:57 alostale Status resolved => closed
2016-04-29 13:57 alostale Fixed in Version => 3.0PR16Q3
2016-06-17 19:37 hudsonbot Checkin
2016-06-17 19:37 hudsonbot Note Added: 0087494


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker